Bug 171103 - Kicstart boot does not get ip address using dhcp
Kicstart boot does not get ip address using dhcp
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-18 05:01 EDT by hbabaria
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: U6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-10 11:01:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hbabaria 2005-10-18 05:01:48 EDT
Description of problem:

 The client does not get ip from dhcp server when booted for kicstart 
installation .

Version-Release number of selected component (if applicable):
RHEL 3 AS Update 4

How reproducible:

 Steps to reproduce :

1) Boot from Redhat rhel 3 AS u4 CD.
2) type linux ks on the boot : prompt.

Actual results:
The kickstart installation fails to get ip for eth0


Expected results:
The kicstart should proceed after getting ip address from dhcp and get the 
kickstart file.


Additional info:

ctrl-alt-f3 shows the following error.
pump told us: No DHCP reply recieved.

Also pxeboot works fine and gets the ip from the dhcp server to load the 
initrd and vmlinuz but fails to get ip during kicstart .

Hardware : Dell gx280
Ethernet card : Onboard Broadcom gigabit card (tg3)
OS :RHEL 3 AS Update 4 
DHCP server :dhcp-3.0.1-10_EL3
Comment 1 Jason Vas Dias 2005-10-18 11:46:15 EDT
pump is an obsolete dhcp client and many problems can be expected when using it.
Anaconda should be using ISC dhclient for network installs, not pump.
Hence I am moving this bug to the anaconda component - if anaconda maintainers 
wish to continue using pump for kickstart installations, they should move this
bug to the 'pump' component, so it can be fixed there.
Comment 2 Jeremy Katz 2005-10-20 16:45:41 EDT
This should be resolved in later update releases. 
Comment 3 hbabaria 2005-10-21 05:42:46 EDT
The issue still exists with U5 release.

Comment 4 Jeremy Katz 2005-11-07 21:17:43 EST
Do you have either a) spanning tree disabled or b) portfast enabled on your switch?
Comment 5 hbabaria 2005-11-08 06:10:14 EST
The answer to both the questions is NO.

This is a standalone switch and the dhcp works fine for 1st stage installer ie 
initrd and vmlinuz.

Thanks
Comment 6 Michael Romero 2006-04-14 18:47:46 EDT
I am also experiencing this issue on rhel3.5.  This works on rhel4.1.  
Comment 7 hbabaria 2006-10-10 01:30:30 EDT
Yes it works with RHEL 3 U6 and above.
Comment 8 hbabaria 2006-10-10 01:33:08 EDT
Yes it works with RHEL 3 U6 and above.

Note You need to log in before you can comment on or make changes to this bug.